Create an Agent Pattern in a Project
/ic/api/integration/v1/projects/{projectId}/ai/patterns/accelerators/archive
Request
-
projectId(required): string
Project identifier
-
integrationInstance(required): string
This is the name of the service instance. You can get this value from the About page where it is specified in the Service instance field.
- application/json;charset=utf-8
object-
code: string
Code
-
created: string
(date-time)
Created Date
-
createdBy: string
Created By
-
createdDate: string
(date-time)
Created Date
-
dependencies: object
PatternDependencies
-
description: string
Pattern Description
-
guidelines: string
-
id: string
Pattern id
-
lastUpdated: string
(date-time)
Last Updated
-
lastUpdatedBy: string
Last Updated By
-
lockedBy: string
Locked By
-
lockedDate: string
(date-time)
Locked Date
-
lockedFlag: boolean
Locked Flag
-
maxIteration: integer
(int32)
-
name: string
Pattern Name
-
patternRoles: array
patternRoles
Pattern Roles
-
projectId: string
Automation id
-
recipeSource: string
Allowed Values:
[ "System", "Store" ]Source of the recipe.Example:System -
status: string
Pattern Status
-
updateBy: string
Updated By
-
updatedDate: string
(date-time)
Updated Date
-
usageCount: integer
(int32)
Usage Count
-
version: string
Version
object-
code: string
Integration Code
-
name: string
Integration Name
-
status: string
Integration Status
-
type: string
Integration Type
-
version: string
Integration Version
Response
- application/json;charset=utf-8, application/vnd.oracle.model+json;type=singular
200 Response
object-
code: string
Code
-
created: string
(date-time)
Created Date
-
createdBy: string
Created By
-
createdDate: string
(date-time)
Created Date
-
dependencies: object
PatternDependencies
-
description: string
Pattern Description
-
guidelines: string
-
id: string
Pattern id
-
lastUpdated: string
(date-time)
Last Updated
-
lastUpdatedBy: string
Last Updated By
-
lockedBy: string
Locked By
-
lockedDate: string
(date-time)
Locked Date
-
lockedFlag: boolean
Locked Flag
-
maxIteration: integer
(int32)
-
name: string
Pattern Name
-
patternRoles: array
patternRoles
Pattern Roles
-
projectId: string
Automation id
-
recipeSource: string
Allowed Values:
[ "System", "Store" ]Source of the recipe.Example:System -
status: string
Pattern Status
-
updateBy: string
Updated By
-
updatedDate: string
(date-time)
Updated Date
-
usageCount: integer
(int32)
Usage Count
-
version: string
Version
object-
code: string
Integration Code
-
name: string
Integration Name
-
status: string
Integration Status
-
type: string
Integration Type
-
version: string
Integration Version
500 Response
Examples
The following example shows how to create an Agent Pattern in a project by submitting a POST request on the REST resource using cURL. For more information about cURL, see Use cURL. For more information about endpoint URL structure, see Send Requests.
Example: Create an Agent Pattern ORDER_PROCESSING_PATTERN in project TEST_PROJECT
curl -X POST -H 'Authorization: Bearer access_token' -H "Content-Type:application/json" -d @pattern.json https://design.integration.region.ocp.oraclecloud.com/ic/api/integration/v1/projects/TEST_PROJECT/ai/patterns/accelerators/archive?integrationInstance=service-instance
Request Body:
The following example shows the contents of the request body in JSON
format. This is the content of the aiagent.json file listed in the
cURL command with the -d option.
{
"patternCode": "ORDER_PROCESSING_PATTERN",
"patternVersion": "01.00.0000",
"projectCode":"TEST_PROJECT",
"id":"21f0a604-b1cf-4ae6-b785-e25f2e833392"
}
Attributes
- patternCode
A unique identifier for the Agent Pattern within the project.
- patternVersion
The version of the Agent Pattern being created.
- projectCode
The code of the project in which the Agent Pattern is created.
- id
The unique identifier (UUID) of the Accelerator used to create the Agent Pattern.